## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate copydeps

Name:           rust-copydeps
Version:        5.0.1
Release:        %autorelease
Summary:        Find and copy all the .so / .dll files needed by an executable

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/copydeps
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Find and copy all the .so / .dll files needed by an executable.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# GPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-or-later AND MIT AND Unicode-DFS-2016 AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENCE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/copydeps
%{_mandir}/man1/%{crate}.1*
%{bash_completions_dir}/%{crate}

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -m 644 -Dp misc/%{crate}.man %{buildroot}%{_mandir}/man1/%{crate}.1
install -m 644 -Dp misc/%{crate}.bash-completion %{buildroot}%{bash_completions_dir}/%{crate}

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 5.0.1-8
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 5.0.1-6
- Fix copy-paste error that broke installation of bash completions

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 5.0.1-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 5.0.1-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 5.0.1-1
- Update to version 5.0.1; Fixes RHBZ#2096131

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.0.0-6
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Oct 19 2020 Artur Frenszek-Iwicki <fedora@svgames.pl - 5.0.0-2
- Rebuild after previous build was un-tagged

* Mon Jul 20 2020 Artur Iwicki <fedora@svgames.pl> - 5.0.0-1
- Update to upstream version 5.0.0, rewritten in Rust

* Thu Jun 25 2020 Artur Iwicki <fedora@svgames.pl> - 4.0-5
- Add an explicit BuildRequires on python3-setuptools

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 4.0-4
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 4.0-2
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Thu Aug 08 2019 Artur Iwicki <fedora@svgames.pl> - 4.0-1
- Initial packaging

## END: Generated by rpmautospec
